Bug 185737 - gstreamer-plugins-0.6.0-18.src.rpm missing buildrequires mikmod-devel
gstreamer-plugins-0.6.0-18.src.rpm missing buildrequires mikmod-devel
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gstreamer-plugins (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 06:07 EST by Tru Huynh
Modified: 2013-10-20 18:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 06:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tru Huynh 2006-03-17 06:07:23 EST
Description of problem:
gstreamer-plugins.spec is missing the buildrequires mikmod-devel
but lists BuildRequires: mikmod

Version-Release number of selected component (if applicable):
gstreamer-plugins-0.6.0-18.src.rpm

How reproducible:
always

Steps to Reproduce:
1. rpm -e mikmod-devel
2. rpmbuild --rebuild gstreamer-plugins-0.6.0-18.src.rpm 
3.
  
Actual results:

failure during the %configure stage:
...
checking for libmikmod-config... no
checking for libmikmod - version >= 3.1.5... no
*** The libmikmod-config script installed by libmikmod could not be found
*** If libmikmod was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the LIBMIKMOD_CONFIG environment variable to the
*** full path to libmikmod-config.
configure: These plugins will not be built: mikmod
...
RPM build errors:
    File not found by glob:
<snip>/tmp/gstreamer-plugins-0.6.0-root/usr/lib/gstreamer-0.6/libgstmikmod.*

and 
Expected results:
rebuild without failure

Additional info:
Comment 1 Bastien Nocera 2007-04-05 06:00:25 EDT
Too late to handle that in RHEL3, newer versions of RHEL don't seem to have that
problem.

Note You need to log in before you can comment on or make changes to this bug.